Package com.smartgwt.client.widgets

# Class EdgedCanvas

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.EdgedCanvas

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`

public class EdgedCanvas extends Canvas
EdgedCanvas acts as a decorative, image-based frame around another single Canvas.

See Also:
  - `ImageEdges overview and related methods`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdgedCanvas()`
  `EdgedCanvas(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `Boolean`
  `getAddEdgeStyleSuffix()`
  If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:
  `String`
  `getCenterBackgroundColor()`
  Background color for the center section only.
  `Integer`
  `getEdgeBottom()`
  Height in pixels for bottom corners and edges.
  `String`
  `getEdgeColor()`
  CSS color (WITHOUT "#") for the edges.
  `String`
  `getEdgeImage()`
  Base name of images for edges.
  `Integer`
  `getEdgeLeft()`
  Height in pixels for left corners and edges.
  `Integer`
  `getEdgeOffsetBottom()`
  Amount the contained Canvas should be offset from the bottom.
  `Integer`
  `getEdgeOffsetLeft()`
  Amount the contained Canvas should be offset from the left.
  `Integer`
  `getEdgeOffsetRight()`
  Amount the contained Canvas should be offset from the right.
  `Integer`
  `getEdgeOffsetTop()`
  Amount the contained Canvas should be offset from the top.
  `Integer`
  `getEdgeRight()`
  Height in pixels for right corners and edges.
  `String`
  `getEdgeStyleName()`
  Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center).
  `Integer`
  `getEdgeTop()`
  Height in pixels for top corners and edges.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static EdgedCanvas`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowCenter()`
  Whether to show media in the center section, that is, behind the decorated Canvas.
  `String`
  `getSkinImgDir()`
  Standard skin directory for edge images (sides and corners).
  `static void`
  `preloadImages()`
  Preload primary EdgedCanvas images.
  `EdgedCanvas`
  `setAddEdgeStyleSuffix(Boolean addEdgeStyleSuffix)`
  If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:
  `EdgedCanvas`
  `setCenterBackgroundColor(String centerBackgroundColor)`
  Background color for the center section only.
  `static void`
  `setDefaultProperties(EdgedCanvas edgedCanvasProperties)`
  Class level method to set the default properties of this class.
  `EdgedCanvas`
  `setEdgeBottom(Integer edgeBottom)`
  Height in pixels for bottom corners and edges.
  `EdgedCanvas`
  `setEdgeColor(String edgeColor)`
  CSS color (WITHOUT "#") for the edges.
  `EdgedCanvas`
  `setEdgeImage(String edgeImage)`
  Base name of images for edges.
  `EdgedCanvas`
  `setEdgeLeft(Integer edgeLeft)`
  Height in pixels for left corners and edges.
  `EdgedCanvas`
  `setEdgeOffsetBottom(Integer edgeOffsetBottom)`
  Amount the contained Canvas should be offset from the bottom.
  `EdgedCanvas`
  `setEdgeOffsetLeft(Integer edgeOffsetLeft)`
  Amount the contained Canvas should be offset from the left.
  `EdgedCanvas`
  `setEdgeOffsetRight(Integer edgeOffsetRight)`
  Amount the contained Canvas should be offset from the right.
  `EdgedCanvas`
  `setEdgeOffsetTop(Integer edgeOffsetTop)`
  Amount the contained Canvas should be offset from the top.
  `EdgedCanvas`
  `setEdgeRight(Integer edgeRight)`
  Height in pixels for right corners and edges.
  `EdgedCanvas`
  `setEdgeStyleName(String edgeStyleName)`
  Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center).
  `EdgedCanvas`
  `setEdgeTop(Integer edgeTop)`
  Height in pixels for top corners and edges.
  `LogicalStructureObject`
  `setLogicalStructure(EdgedCanvasLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `EdgedCanvas`
  `setShowCenter(Boolean showCenter)`
  Whether to show media in the center section, that is, behind the decorated Canvas.
  `EdgedCanvas`
  `setSkinImgDir(String skinImgDir)`
  Standard skin directory for edge images (sides and corners).

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBorderRadiusAsString, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getEditProxyConstructor, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAlign, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setEditProxyConstructor, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setSuppressRedraw, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### EdgedCanvas

    public EdgedCanvas()

  - ### EdgedCanvas

    public EdgedCanvas(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static EdgedCanvas getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `Canvas`

  - ### setAddEdgeStyleSuffix

    public EdgedCanvas setAddEdgeStyleSuffix(Boolean addEdgeStyleSuffix)
    If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:

    `_TL` (top left cell)
    `_T` (top center cell)
    `_TR` (top right cell)
    `_L` (middle left cell)
    `_C` (center cell)
    `_R` (middle right cell)
    `_BL` (bottom left cell)
    `_B` (bottom center cell)
    `_BR` (bottom right cell)

    Parameters:
      `addEdgeStyleSuffix` - New addEdgeStyleSuffix value. Default value is false
    Returns:
      `EdgedCanvas` instance, for chaining setter calls

  - ### getAddEdgeStyleSuffix

    public Boolean getAddEdgeStyleSuffix()
    If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:

    `_TL` (top left cell)
    `_T` (top center cell)
    `_TR` (top right cell)
    `_L` (middle left cell)
    `_C` (center cell)
    `_R` (middle right cell)
    `_BL` (bottom left cell)
    `_B` (bottom center cell)
    `_BR` (bottom right cell)

    Returns:
      Current addEdgeStyleSuffix value. Default value is false

  - ### setCenterBackgroundColor

    public EdgedCanvas setCenterBackgroundColor(String centerBackgroundColor) throws IllegalStateException
    Background color for the center section only. Can be used as a surrogate background color for the decorated Canvas, if the Canvas is set to partially overlap the edges and hence can't show a background color itself without occluding media.
    Parameters:
      `centerBackgroundColor` - New centerBackgroundColor value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSColor`

  - ### getCenterBackgroundColor

    public String getCenterBackgroundColor()
    Background color for the center section only. Can be used as a surrogate background color for the decorated Canvas, if the Canvas is set to partially overlap the edges and hence can't show a background color itself without occluding media.
    Returns:
      Current centerBackgroundColor value. Default value is null
    See Also:
      - `CSSColor`

  - ### setEdgeBottom

    public EdgedCanvas setEdgeBottom(Integer edgeBottom) throws IllegalStateException
    Height in pixels for bottom corners and edges. Defaults to edgeSize when unset.
    Parameters:
      `edgeBottom` - New edgeBottom value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeBottom

    public Integer getEdgeBottom()
    Height in pixels for bottom corners and edges. Defaults to edgeSize when unset.
    Returns:
      Current edgeBottom value. Default value is null

  - ### setEdgeColor

    public EdgedCanvas setEdgeColor(String edgeColor) throws IllegalStateException
    CSS color (WITHOUT "#") for the edges. If specified, will be used as part of image names. Example: "edge_88FF88_TL.gif".
    Parameters:
      `edgeColor` - New edgeColor value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSColor`

  - ### getEdgeColor

    public String getEdgeColor()
    CSS color (WITHOUT "#") for the edges. If specified, will be used as part of image names. Example: "edge_88FF88_TL.gif".
    Returns:
      Current edgeColor value. Default value is null
    See Also:
      - `CSSColor`

  - ### setEdgeImage

    public EdgedCanvas setEdgeImage(String edgeImage) throws IllegalStateException
    Base name of images for edges. Extensions for each corner or edge piece will be added to this image URL, before the extension. For example, with the default base name of "edge.gif", the top-left corner image will be "edge_TL.gif".

    The full list of extensions is: "_TL", "_TR", "_BL", "_BR", "_T", "_L", "_B", "_R", "_center".

    Overrides:
      `setEdgeImage` in class `Canvas`
    Parameters:
      `edgeImage` - New edgeImage value. Default value is "[SKIN]/rounded/frame/FFFFFF/6.png"
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getEdgeImage

    public String getEdgeImage()
    Base name of images for edges. Extensions for each corner or edge piece will be added to this image URL, before the extension. For example, with the default base name of "edge.gif", the top-left corner image will be "edge_TL.gif".

    The full list of extensions is: "_TL", "_TR", "_BL", "_BR", "_T", "_L", "_B", "_R", "_center".

    Overrides:
      `getEdgeImage` in class `Canvas`
    Returns:
      Current edgeImage value. Default value is "[SKIN]/rounded/frame/FFFFFF/6.png"
    See Also:
      - `SCImgURL`

  - ### setEdgeLeft

    public EdgedCanvas setEdgeLeft(Integer edgeLeft) throws IllegalStateException
    Height in pixels for left corners and edges. Defaults to edgeSize when unset.
    Parameters:
      `edgeLeft` - New edgeLeft value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeLeft

    public Integer getEdgeLeft()
    Height in pixels for left corners and edges. Defaults to edgeSize when unset.
    Returns:
      Current edgeLeft value. Default value is null

  - ### setEdgeOffsetBottom

    public EdgedCanvas setEdgeOffsetBottom(Integer edgeOffsetBottom) throws IllegalStateException
    Amount the contained Canvas should be offset from the bottom. Defaults to the size for the bottom edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

    Note : This is an advanced setting

    Parameters:
      `edgeOffsetBottom` - New edgeOffsetBottom value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeOffsetBottom

    public Integer getEdgeOffsetBottom()
    Amount the contained Canvas should be offset from the bottom. Defaults to the size for the bottom edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
    Returns:
      Current edgeOffsetBottom value. Default value is null

  - ### setEdgeOffsetLeft

    public EdgedCanvas setEdgeOffsetLeft(Integer edgeOffsetLeft) throws IllegalStateException
    Amount the contained Canvas should be offset from the left. Defaults to the size for the left edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

    Note : This is an advanced setting

    Parameters:
      `edgeOffsetLeft` - New edgeOffsetLeft value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeOffsetLeft

    public Integer getEdgeOffsetLeft()
    Amount the contained Canvas should be offset from the left. Defaults to the size for the left edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
    Returns:
      Current edgeOffsetLeft value. Default value is null

  - ### setEdgeOffsetRight

    public EdgedCanvas setEdgeOffsetRight(Integer edgeOffsetRight) throws IllegalStateException
    Amount the contained Canvas should be offset from the right. Defaults to the size for the right edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

    Note : This is an advanced setting

    Parameters:
      `edgeOffsetRight` - New edgeOffsetRight value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeOffsetRight

    public Integer getEdgeOffsetRight()
    Amount the contained Canvas should be offset from the right. Defaults to the size for the right edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
    Returns:
      Current edgeOffsetRight value. Default value is null

  - ### setEdgeOffsetTop

    public EdgedCanvas setEdgeOffsetTop(Integer edgeOffsetTop) throws IllegalStateException
    Amount the contained Canvas should be offset from the top. Defaults to the size for the top edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

    Note : This is an advanced setting

    Parameters:
      `edgeOffsetTop` - New edgeOffsetTop value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeOffsetTop

    public Integer getEdgeOffsetTop()
    Amount the contained Canvas should be offset from the top. Defaults to the size for the top edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
    Returns:
      Current edgeOffsetTop value. Default value is null

  - ### setEdgeRight

    public EdgedCanvas setEdgeRight(Integer edgeRight) throws IllegalStateException
    Height in pixels for right corners and edges. Defaults to edgeSize when unset.
    Parameters:
      `edgeRight` - New edgeRight value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeRight

    public Integer getEdgeRight()
    Height in pixels for right corners and edges. Defaults to edgeSize when unset.
    Returns:
      Current edgeRight value. Default value is null

  - ### setEdgeStyleName

    public EdgedCanvas setEdgeStyleName(String edgeStyleName)
    Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center). To apply separate styles for each part, use `addEdgeStyleSuffix`.
    Parameters:
      `edgeStyleName` - New edgeStyleName value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`

  - ### getEdgeStyleName

    public String getEdgeStyleName()
    Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center). To apply separate styles for each part, use `addEdgeStyleSuffix`.
    Returns:
      Current edgeStyleName value. Default value is null
    See Also:
      - `CSSStyleName`

  - ### setEdgeTop

    public EdgedCanvas setEdgeTop(Integer edgeTop) throws IllegalStateException
    Height in pixels for top corners and edges. Defaults to edgeSize when unset.
    Parameters:
      `edgeTop` - New edgeTop value. Default value is null
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEdgeTop

    public Integer getEdgeTop()
    Height in pixels for top corners and edges. Defaults to edgeSize when unset.
    Returns:
      Current edgeTop value. Default value is null

  - ### setShowCenter

    public EdgedCanvas setShowCenter(Boolean showCenter) throws IllegalStateException
    Whether to show media in the center section, that is, behind the decorated Canvas.
    Parameters:
      `showCenter` - New showCenter value. Default value is false
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowCenter

    public Boolean getShowCenter()
    Whether to show media in the center section, that is, behind the decorated Canvas.
    Returns:
      Current showCenter value. Default value is false

  - ### setSkinImgDir

    public EdgedCanvas setSkinImgDir(String skinImgDir) throws IllegalStateException
    Standard skin directory for edge images (sides and corners).
    Overrides:
      `setSkinImgDir` in class `Canvas`
    Parameters:
      `skinImgDir` - New skinImgDir value. Default value is "images/edges/"
    Returns:
      `EdgedCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getSkinImgDir

    public String getSkinImgDir()
    Standard skin directory for edge images (sides and corners).
    Overrides:
      `getSkinImgDir` in class `Canvas`
    Returns:
      Current skinImgDir value. Default value is "images/edges/"
    See Also:
      - `SCImgURL`

  - ### setDefaultProperties

    public static void setDefaultProperties(EdgedCanvas edgedCanvasProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `edgedCanvasProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### preloadImages

    public static void preloadImages()
    Preload primary EdgedCanvas images.

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(EdgedCanvasLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `Canvas`